[maemo-developers] python-dbus Re: Autobuilder repository priority ?

From: Anderson Lizardo anderson.lizardo at openbossa.org
Date: Wed Nov 4 14:23:23 EET 2009
On Tue, Nov 3, 2009 at 4:31 PM, Attila Csipa <maemo at csipa.in.rs> wrote:
> Foreword: My particular problem is not that big of an issue, in the end I went
> for extras-devel compatibility, no big deal, it's not yet for end users
> anyway. It's the generic approach that is at question here - tomorrow someone
> else will fall through the same manhole and it might become a recurring issue.
> On Tuesday 03 November 2009 18:58:04 Anderson Lizardo wrote:
>> Did you mean "-1maemo1" instead of "-1maemo0"? (there is no maemo0 IIRC)
> Yes, indeed, -1maemo1. To add to the confusion there *IS* a python2.5-0maemo0
> in *extras-testing* (see http://maemo.org/packages/view/python2.5-dbus/ )

This is certainly a bug. Someone else uploaded this package without
knowing there was already a python-dbus package in fremantle
extras-devel (apparently some months ago). This created two entries
for virtually the same package:

http://maemo.org/packages/view/python-dbus/ (the newer one)
http://maemo.org/packages/view/python2.5-dbus/ (the older)

I'm CC'ing the original uploader of this package (Johannes) and Jeremy
as well, so that we can remove the older package from extras*

As you can see the version number of this package (0.83-0maemo0) is
actually smaller than the one maintained by the PyMaemo team
(0.83.0-1maemo1), so we can safely remove it, I suppose.

Johannes: any problems with that?

Anderson Lizardo
OpenBossa Labs - INdT
Manaus - Brazil
More information about the maemo-developers mailing list